%global __provides_exclude_from %{_datadir}/%{name}/%{name}.py
%global __requires_exclude_from %{_datadir}/%{name}/%{name}.py

%define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")

Name:           asymptote
Version:        2.41
Release:        %mkrel 1
Summary:        Powerful descriptive vector graphics language
Group:          Sciences/Other
License:        LGPLv3
URL:            http://asymptote.sourceforge.net
Source0:        http://downloads.sourceforge.net/asymptote/%{name}-%{version}.src.tgz
Source1:        xasy.desktop
Patch0:         asymptote-2.32-settings.patch

BuildRequires:  dvipdf
BuildRequires:  freeglut-devel
BuildRequires:  imagemagick
BuildRequires:  latex
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(osmesa)
BuildRequires:  pkgconfig(bdw-gc)
BuildRequires:  readline-devel
BuildRequires:  texinfo-tex
Requires:       texlive
Requires(post): texlive, info-install
Requires(preun):info-install
Requires(postun):texlive

%description
Asymptote is a powerful descriptive vector graphics language that provides
a natural coordinate-based framework for technical drawing. Labels and equations
are typeset with LaTeX, for high-quality PostScript output.

A major advantage of Asymptote over other graphics packages is that it is
a programming language, as opposed to just a graphics program.

%package gui
Summary:        GUI for Asymptote vector graphics language
Group:          Sciences/Other
Requires:       %{name} = %{version}-%{release}
Requires:       tkinter
Requires:       python-imaging-tk
BuildArch:      noarch

%description gui
Asymptote is a powerful descriptive vector graphics language that provides
a natural coordinate-based framework for technical drawing. Labels and equations
are typeset with LaTeX, for high-quality PostScript output.

A major advantage of Asymptote over other graphics packages is that it is
a programming language, as opposed to just a graphics program.

This package contains "xasy", a GUI for Asymptote.

%prep
%autosetup -p1
sed -i -e 's/_LIB_/%{_lib}/' -e 's/_GS_MAJOR_/9/' settings.cc

%build
%configure2_5x \
    --enable-gc=system \
    --with-latex=%{_texmf}/tex/latex \
    --with-context=%{_texmf}/tex/context

%make_build

%install
%make_install

# Fix info location
mv %{buildroot}%{_infodir}/%{name}/%{name}.info* %{buildroot}%{_infodir}

# Install desktop file
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/xasy.desktop

# Install icons
for size in 16x16 32x32 48x48; do
    install -d %{buildroot}%{_iconsdir}/hicolor/$size/apps
    convert -resize $size asy.ico %{buildroot}%{_iconsdir}/hicolor/$size/apps/asy.png
done

%post
texhash
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%postun
texhash

%files
%doc %{_docdir}/%{name}
%{_bindir}/asy
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/GUI
%{_infodir}/asy-faq.info.xz
%{_infodir}/%{name}.info.xz
%{_mandir}/man1/asy.1*
%{_texmf}/tex/*/%{name}

%files gui
%{_bindir}/xasy
%{_datadir}/%{name}/GUI
%{_datadir}/applications/xasy.desktop
%{_iconsdir}/hicolor/*/apps/asy.png
%{_mandir}/man1/xasy.1*


%changelog
* Fri Mar 24 2017 akien <akien> 2.41-1.mga6
+ Revision: 1094686
- Version 2.41

* Sun Mar 05 2017 akien <akien> 2.40-1.mga6
+ Revision: 1088754
- Version 2.40

* Thu Jan 26 2017 akien <akien> 2.39-1.mga6
+ Revision: 1083483
- Version 2.39

* Sat Oct 08 2016 akien <akien> 2.38-1.mga6
+ Revision: 1059556
- Version 2.38

* Fri Apr 15 2016 akien <akien> 2.37-1.mga6
+ Revision: 1002742
- Version 2.37

* Tue Jan 26 2016 luigiwalser <luigiwalser> 2.35-2.mga6
+ Revision: 927698
- add patch from debian to fix build with gsl version 2
- rebuild for gsl

* Mon Jun 22 2015 akien <akien> 2.35-1.mga6
+ Revision: 839213
- Version 2.35

* Mon Feb 09 2015 akien <akien> 2.32-1.mga5
+ Revision: 814253
- asymptote-gui is noarch (python application)
- Version 2.32
- Add URL

* Wed Oct 15 2014 umeabot <umeabot> 2.24-4.mga5
+ Revision: 745795
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.24-3.mga5
+ Revision: 678010
- Mageia 5 Mass Rebuild

  + tv <tv>
    - auto convert _exclude_files_from_autoreq

* Mon Oct 21 2013 umeabot <umeabot> 2.24-2.mga4
+ Revision: 541270
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 mitya <mitya> 2.24-1.mga4
+ Revision: 495432
- New version 2.24

* Fri Jan 11 2013 umeabot <umeabot> 2.21-2.mga3
+ Revision: 346485
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 mitya <mitya> 2.21-1.mga3
+ Revision: 336488
- Import Asymptote 2.21
- Created package structure for asymptote.

